<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\System\Config\Newsletter;

/**
 * Class Subscriber
 * @package FiloBlu\MappConnector\Block\Adminhtml\System\Config\Newsletter
 */
class Subscriber extends \FiloBlu\MappConnector\Block\Adminhtml\System\Config\AbstractConfig
{

    /**
     * Product Model
     *
     * @var \Magento\Newsletter\Model\Subscriber
     */
    protected $_model;

    /**
     * @var string
     */
    protected $_id = 'subscriber';

    /**
     * @var string
     */
    protected $_type = 'flat';

    /**
     * @var array
     */
    protected $_exclude = [];

    /**
     * Attributes constructor.
     * @param \Magento\Newsletter\Model\Subscriber $subscriber
     * @param \Magento\Backend\Block\Template\Context $context
     * @param array $data
     */
    public function __construct(
        \Magento\Newsletter\Model\Subscriber $subscriber,
        \Magento\Backend\Block\Template\Context $context,
        array $data = []
    ) {
        $this->_model = $subscriber;
        parent::__construct($context, $data);
    }


}