<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Observer;

use Magento\Framework\Event\Observer;

/**
 * Class CustomerRegister
 * @package FiloBlu\MappConnector\Observer
 */
class CustomerRegister extends \FiloBlu\MappConnector\Observer\AbstractObserver
{

    /**
     * @var string
     */
    protected $_entity = 'customer';

    /**
     * @var string
     */
    protected $_type = 'customer';

    /**
     * @var string
     */
    protected $_mode = 'rest';

    /**
     * @var string
     */
    protected $_status = 'waiting';

    /**
     * @var \FiloBlu\MappConnector\Model\Jobs
     */
    protected $_jobs;

    /**
     * @var \FiloBlu\MappConnector\Helper\FileLoggerHelper
     */
    protected $_fileLogger;

}